# Uses of Interface
org.opensaml.soap.wsaddressing.MessageID

Packages that use MessageID
Package
Description
org.opensaml.soap.wsaddressing.impl
XML Object provider implementations for WS-Addressing.
org.opensaml.soap.wsaddressing.messaging.impl
WS-Addressing message handling components.

## Uses of MessageID in org.opensaml.soap.wsaddressing.impl

Classes in org.opensaml.soap.wsaddressing.impl that implement MessageID
Modifier and Type
Class
Description
`class`
`MessageIDImpl`
Concrete implementation for the `MessageID` element.
Methods in org.opensaml.soap.wsaddressing.impl that return MessageID
Modifier and Type
Method
Description
`MessageID`
MessageIDBuilder.`buildObject()`
Builds a WS-Addressing object.
`MessageID`
MessageIDBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of MessageID in org.opensaml.soap.wsaddressing.messaging.impl

Methods in org.opensaml.soap.wsaddressing.messaging.impl that return MessageID
Modifier and Type
Method
Description
`protected MessageID`
ExtractMessageIDHandler.`getMessageID(MessageContext messageContext)`
Get message MessageID URI value.